KIPC Class Reference

`#include <kipc.h>`

## Public Types

enum | Message { PaletteChanged =0, FontChanged, StyleChanged, BackgroundChanged, SettingsChanged, IconChanged, ToolbarStyleChanged, ClipboardConfigChanged, BlockShortcuts, UserMessage =32 }

## Static Public Member Functions

static void | sendMessage (Message msg, WId w, int data=0)
static void | sendMessageAll (Message msg, int data=0)

## Detailed Description

This class implements a very simple IPC mechanism for KDE.

You can send a message of a predefined type to either a specific application, or to all KDE application on the current display. The message can carry one integer of data.

KIPC is mainly used in KDE for sending "Change Messages", i.e. a message to all KDE apps that a certain setting (the font, for example) has changed. For anything more complex it is recommended to use DCOP – the Desktop Communications Protocol.

Messages with id code < 32 are called "System Messages". These are directly handled by KApplication. Examples are: PaletteChanged and StyleChanged. Messages with id code >= 32 are user messages. KApplication emits the signal kipcMessage(id,arg) for each user message it receives.

KIPC is implemented using X11 ClientMessage events.

See also
  KApplication::kipcMessage()

Author
  Geert Jansen janse.nosp@m.n@kd.nosp@m.e.org

Definition at line 49 of file kipc.h.

## Member Enumeration Documentation

enum KIPC::Message

A identifier for messages.

Messages below UserMessage are system messages, messages above can be defined by the user.

Enumerator

BlockShortcuts

Since
  3.1

UserMessage

Since
  3.5

Definition at line 56 of file kipc.h.

## Member Function Documentation

void KIPC::sendMessage | ( | Message | msg,
|  | WId | w,
|  | int | data = `0`
| ) |  |

static

Send a message to a specific application.

Parameters

  msg | The message to send.
  w | The window id of a toplevel window of the target application.
  data | An optional integer of data.

Definition at line 59 of file kipc.cpp.

void KIPC::sendMessageAll | ( | Message | msg,
|  | int | data = `0`
| ) |  |

static

Send a message to all KDE application on the current display.

Parameters

  msg | The message to send.
  data | An optional integer of data.

Definition at line 88 of file kipc.cpp.

The documentation for this class was generated from the following files:

- kipc.h
- kipc.cpp

KDE Home | KDE Accessibility Home | Description of Access Keys